<aside id="nav-container"
    class="app-sidebar main-nav__container"
    ng-class="{
        '_initialized': !$ctrl.isLoading,
        '_expanded': $ctrl.isSidebarExpanded && $ctrl.isDesktop
    }">
    <!-- <div class="nav-wrapper" xmlns:font-size="http://www.w3.org/1999/xhtml"> -->
        <!-- ^^ container to add scroll when submenu will be add -->
        <!-- mobile button -->
        <div class="main-nav__list-item sidebar-menu-button bg-dark mobile-switcher">
            <md-button class="app-sidebar__link menu-btn nav-btn"
                ng-click="$ctrl.toggleMobileMenu()"
                ng-disabled="!$ctrl.currentUser.onboardingCompleted"
                aria-label="menu toggle-nul-collapsed-min">
                <i class="material-icons nav-menu-icon no-animate">menu</i>
                <i class="material-icons nav-close-icon no-animate">close</i>
            </md-button>
        </div>
        <!-- temporary ^^ -->
        <ul id="nav" class="nav main-nav__list" data-slim-scroll>
            <li class="main-nav__list-item nav-item {{menuItem.className}}"
                ng-class="{'active': $ctrl.$state.includes(menuItem.state) || $ctrl.isActiveLink(menuItem.state)}"
                ng-style="{'order': menuItem.order}"
                ng-repeat="menuItem in $ctrl.menuItems | orderBy: 'name' track by menuItem.name"
                ng-if="$ctrl.isMenuItemVisible(menuItem)"
                ng-click="$ctrl.handleMenuClick(menuItem.state)">
                <div md-button class="main-nav__link nav-btn" aria-label="menu" ng-disabled="!$ctrl.currentUser.onboardingCompleted">
                    <div class="main-nav__icon-wrapper">
                        <i class="material-icons" ng-if="!menuItem.customIcon">{{menuItem.icon}}</i>
                        <md-icon class="material-icons" ng-if="menuItem.customIcon" md-svg-icon="{{menuItem.icon}}"></md-icon>
                    </div>
                    <div class="main-nav__text">{{menuItem.name}}</div>
                </div>
            </li>
            <li class="main-nav__list-item nav-item _empty" style="flex-grow: 1; order: 25"></li>
        </ul>
        <div class="main-nav__button" ng-click="$ctrl.handleExpandButtonClick()" ng-if="$ctrl.isDesktop">
            <div class="main-nav__button-icon-wrapper" ng-class="{'_expanded': $ctrl.isSidebarExpanded}">
                <i class="material-icons main-nav__button-icon">arrow_right_alt</i>
            </div>
            <div class="main-nav__button-text">Collapse sidebar</div>
        </div>
    <!-- </div> -->
</aside>
